petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoDefaultConvergenceTest

Determines whether the solver should continue iterating or terminate.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDefaultConvergenceTest(Tao tao,void *dummy)

Collective on Tao Many br

### Input Parameters

| tao | - the Tao context Many br
| dummy | - unused dummy context Many br

### Output Parameter

reason -for terminating Many br

### Notes

This routine checks the residual in the optimality conditions, the Many brrelative residual in the optimity conditions, the number of function Many brevaluations, and the function value to test convergence. Some Many brsolvers may use different convergence routines. Many br

Many br

### See Also

TaoSetTolerances(),TaoGetConvergedReason(),TaoSetConvergedReason()

Level:developer
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages